<!DOCTYPE html>
<html lang="en">
<head>
    <title>Document</title>
</head>
<body>

    <section>

        <img id="miImagen" src="lamina.png" alt="Texto alt"
            data-camara="Modelo de la cámara de ultilice" 
            data-efecto="Efectos aplicados a esta foto"
            data-geo="Longitud y latitud"
            data-camara="La fecha en que se tomó la foto"/>

    </section>

    <script type="text/javascript" >
        var imgConEfecto = document.querySelectorAll('img[data-efecto]');
        var camara = document.getElementById('miImagen').dataset.camara;

        var elemento = document.getElementById('miImagen');
        var cam = elemento.dataset.camara;

        var attribute = elemento.getAttribute("data-geo");
        elemento.setAttribute("data-geo", "someName");

        console.log("atributos data");
        console.log(camara);

    </script>
    
</body>
</html>